package net.northking.cctp.device.dto.device;

import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.device.db.entity.CdDeviceModel;
import net.northking.cctp.device.db.entity.CdMobileBrand;
import net.northking.cctp.device.db.entity.CdMobileDevice;

import java.util.LinkedHashMap;

public class CdDeviceRegisterDto {
    @ApiModelProperty("设备型号")
    private CdDeviceModel cdDeviceModel;

    @ApiModelProperty("设备品牌")
    private CdMobileBrand cdMobileBrand;

    @ApiModelProperty("移动设备信息")
    private CdMobileDevice cdMobileDevice;

    @ApiModelProperty("移动设备详细信息")
    private LinkedHashMap<String, Object> deviceInfo;

    public LinkedHashMap<String, Object> getDeviceInfo() {
        return deviceInfo;
    }

    public void setDeviceInfo(LinkedHashMap<String, Object> deviceInfo) {
        this.deviceInfo = deviceInfo;
    }

    public CdDeviceModel getCdDeviceModel() {
        return cdDeviceModel;
    }

    public void setCdDeviceModel(CdDeviceModel cdDeviceModel) {
        this.cdDeviceModel = cdDeviceModel;
    }

    public CdMobileBrand getCdMobileBrand() {
        return cdMobileBrand;
    }

    public void setCdMobileBrand(CdMobileBrand cdMobileBrand) {
        this.cdMobileBrand = cdMobileBrand;
    }

    public CdMobileDevice getCdMobileDevice() {
        return cdMobileDevice;
    }

    public void setCdMobileDevice(CdMobileDevice cdMobileDevice) {
        this.cdMobileDevice = cdMobileDevice;
    }

}
